# 1.9.11
- Adjust hex for input label to accessible color
- Fix calendar end of month bugs
- Fix position of checkbox in small variant

# 1.9.10
- Fix list indentation for consistent, cross-browser display of list bullets
- Fix checkbox display error in multi-select

# 1.9.9
- Fix IE11 JS error in typeahead
- Fix wrong `today` highlight at end of each month

# 1.9.8
- Fixed spacing in/around checkboxes and radio buttons caused by `display: inline-block`

# 1.9.7
- Fixed extra spacing issue underneath toggles caused by inline-block
- Moved example images to be hosted externally
- Fixed calendar popover `onChange` not fire

# 1.9.6
- Update icons to v0.4.0

# 1.9.5
- Add disabled state and method for number selector
- Fixed bug with mobile header not initializing

# 1.9.4
- Add option to the date-input to allow for the date to display as text when the input loses focus
- Enhancement: Will focus on first input when expand
- Enhancement: add onChange callback for slider and range slider
- Enhancement: Add onFocus and onBlur callback for input
- Fixed Calendar styling in IE10
- Fixed issue where switching tabs caused the page to jump around
- Fixed email example to use messaging.
- Fixed calendar dismatch of timezone change
- Add label for number selector

# 1.9.3
- Fixed step indicator break the default event
- Fix broken Calendar examples

# 1.9.2
- Fixed Header initialization process to not break when resources are hung up
- Fixed checkbox input styling so that the input itself will receive click events.
- Added `change` events to table checkboxes when their state is affected by JS.

# 1.9.1
- Updated quality of all examples images to reduce library file size

# 1.9.0
- Add Carousel

# 1.8.2
- Rework text-input validation
- Fixed text input messaging with no value
- Fixed text Input validation - don't clear on blur
- Fixed Calendar Popover not calling the onChange callback.
- Fixed typeahead so it hides itself if there are only placeholder characters when the input loses focus.
- Fixed typeahead text Input onChange not fired.
- Updated line-heights and margins of un/ordeded lists
- Fixed modal not being centered by default.
- Fixed bug with button type sizing at the XL breakpoint.
- Fixed broken Sign In page example.
- Remove a bunch of unnecessary stopPropagation calls.

# 1.8.1
- Fixed Edge-case issues on step-indicator

# 1.8.0
- Added Step Indicator

# 1.7.4
- Fixed green shadow incorrectly displayed on `spark-btn--negative`
- Fixed font-size of `number-selector`
- Fixed colors of label of `spark-checkbox`
- Fixed problem with `calendar-popover` input jumping around during focus due to flexbox.
- Fixed color of today's date in `calendar-popover`
- Fixed margin of `spark-slider--input`
- Added labels to `Slider` inputs

# 1.7.3
- Fixed `calendar-popover` import typo

# 1.7.2
- Updated import statement for spark icons from `sabre-spark-extras`, compatible with npm3

# 1.7.1
- Updated Spark Font Icon to v0.3.0
- Fixed onChange function not being called for calendar

# 1.7.0
- Added `View More` button via `.spark-btn--view-more`

# 1.6.3
- Fix AMD loading bug with date-select

# 1.6.2
- Fixed bug with modal scrolling
- Add variables to path to images and icon fonts
- Fix Scroll To Top bug where its cached position is incorrect after changes to the content

# 1.6.1
- Fixed `ToggleSwitch` import typo

# 1.6.0
- Add Pagination
- Add Scroll To Top
- Fix display bug in Progress banner
- Add new `spark.visible-children` event, used to inform components to recalculate their Styles
- `spark.visible-children` supported in Expand/Collapse, Popovers, Tabs, Toolbar, Date-Input, and Range-Slider.
- Examples updated for new ui component pages
- Fix eventing bug in Tabs
- Remove extra margin-bottom from `spark-select-group`

# 1.5.2
- Updated font weight of sign-in link in header
- Added ToggleSwitch object for `spark-toggle-switch` to enable keyboard control with arrow keys
- Add class to body when fixed header has condensed.

# 1.5.1
- Table, tabs and toolbar bugfixes
- Update icon set
- Fix bug w/ table messaging not working in IE

# 1.5.0
- Added advanced table functionality like editable fields, resizable columns, messaging and disabled states, and expandable rows.
- Added nested menu lists with `spark-menu__list-next`
- Added "in-page" menu treatment with `spark-menu__list-link--in-page`
- Add advanced table functionality like editable fields, resizable columns, messaging and disabled states, and expandable rows.
- Fix text color in warning messages for inputs.
- Add hover state for text inputs.
- Change icon button treatment.
- Updated `RELEASE-CHECKLIST.md`
- Allow accordion expand/collapse panels to be focused and opened/closed with a keyboard
- Adjust table navigation styling to work properly with Toolbar
- Added Toolbar with icon mode and resizing functionality

# 1.4.2
- Fix bug with calendar showing "today" in the following month as well.

# 1.4.1
- Fix bug with typeahead on Android
- Remove `min` and `max` on date range example

# 1.4.0
- Added `spark-multiselect` with two versions - using native select[multiple] element, and using `spark-checkbox` for additional styling options
- Added `spark-calendar`, as well as improved `spark-typeahead` to work better with dates
- Updated icons for info and warning messages
- Added mixin for loading fonts
- Fix bug with too liberally styling splash page panel content.
- Fix dynamic height text input not sizing when initialized hidden
- Fix bug with slider not having a visible value when initialized while hidden
- Updated to version v0.1.0 Spark Icons
- Fix bug with links having an explicit font-size and line-height
- Updated styling of `hr` to be a solid color instead of gradient

# 1.3.0
- Updated `body` styles to react better with sticky footers utilizing flexbox.
- Updated footer to have a sticky behavior with helper classes (`spark-main--sticky-footer`, `spark-content__wrapper--sticky-footer`, & `spark-content--sticky-footer`)
- Moved `.spark-modal__nav` to `.spark-btn-group`
- Deprecated `.spark-modal__nav` and `.spark-modal__nav-secondary`
- Updated text input field to have a color
- Added `make-media-queries` mixin
- Updated colors to match PSD's. Changed most instances of #767676 to #555555
- Updated to version v0.0.9 Spark Icons
- Fixed `spark-small` styling to be different than `spark-caption`
- Deprecated `.spark-btn--alt`

# 1.2.3
- Update header and menu components to fix various IE bugs. All having to do w/ spotty flexbox implementation.
- Add styles and an example for a mobile menu header using text instead of an image.
- Set a font size and center Menu Titles
- Updated heading animation to not have swinging animation
- Add a call to action button option for header menu lists
- Adjusted link colors

# 1.2.2
- Fix Modals so they work with or without an associated button.
- Remove Twitter Bootstrap dependency until v4 is released on NPM.

# 1.2.1
- Added `.spark-header--no-logo`
- Fixed transition delay of fixed header
- Add support for a select input with the `[multiple]` attribute
- Updated with latest bootstrap-grid flex attributes
- Added `Modal`,`NumberPicker`, `NumberSelector`,`animateHeight`,and `outerHeight` to module exports.
- Update font sizes to match the documentation.


# 1.2.0
- Add example and corresponding styles for a sign in screen
- Add Select Groups to allow for multiple select inputs to sit together in a horizontal group
- Deprecated `.spark-header__login`
- Added `.spark-header__sign-in`
- Added `shopping-cart` icon
- Fixed a bug where not all `spark-icon-*` classes were being included in scss and css files

# 1.1.2
- Fix bug with Select Input jumping 1px when gaining/losing focus
- Add ability to have a fixed header
- Updated years in `spark-footer`

# 1.1.1
- Add webpack imports loader as a dependency so that webpack users can include these modules and ignore the AMD definitions (with a config outlined in [README.md](./README.md))
- Fix bug with the header's "more" button showing nested lists accidentally
- Fix bug with the header's hamburger button being too narrow
- Add focus state to checkboxes and radio buttons

# 1.1.0
- Add modals
- Deprecated `.spark-link--secondary`
- Replace all instances of `.#{$prefix}` with `.spark` so we can properly parse the source with SASSDoc.
- Deprecate `$prefix` variable.
- Add annotated SCSS code into `docs`.
- Add number selector component

# 1.0.16
- Fix dependency management so that RequireJS can load other components from the same package.

# 1.0.15
- Fix several grid bugs in IE
- Adjust build process to include banner on built files. Stop minifying JS source files copied to dist.
- Move example HTML into this library and add a new dev process
- Fix small checkbox alignment bugs
- Update Twitter Bootstrap dependency path
- Move theme variables into the common config
- Fix dropdown menu widths
- Remove some legacy Ruby cruft
- Add version banner to built files

# 1.0.14
- Added `log-in`, `log-out`, and `refresh` icons to the spark icon set.

# 1.0.13
- Fixed Header Bug with IE/FF
- Added some padding to popover titles which follow a close button.

# 1.0.12
- Update secondary button colors to be more actionable
- Corrected color of `h1-h4` headings from `#555555` to `#4A5767`
- Update menu and header styles.
- Header bugfixes.
- Add animations to expand/collapse, menus, header.
- Add an outside border to tables to match comps.
- Added initial Splash Screen pattern


# 1.0.11
- Add margin to the bottom of select input to match text input
- Add command-line tool for generating custom spark SCSS and CSS builds.
- Removed extra grid class which wasn't being used properly
- Fixed location of grid variables
- Moved `sabre-spark-extras` from dev-dependency to dependency
- Update Header and Tabs `update` methods to properly reevaluate sizing

# 1.0.10
- Fix bad font linkage
- Bugfixes

# 1.0.9
- Add CHANGELOG.md
- Add update method for header and tabs to allow for recaching elements if the DOM changes
- Rework jQuery caching to use `$(...).data()` instead of an internal cache object
- Add CommonJS export index and package.json `main` value.

# 1.0.8
- _Skipped_

# 1.0.7
- _Skipped_

# 1.0.6
- Add "remove/destroy" methods to all JS helpers to allow for garbage collection
- Change slider text inputs to use "change" not "input" event so validation isn't run on every keypress. This was stopping users from typing in numbers that were seemingly out of range or didn't conform to the "step" value.
- Adjust the header icon position
- Update animation on progress indicators
- Add more HTML examples to SCSS components
- Add more examples to JS components
- Remove Sassline and simplify associated mixins
- Integrate icons from external library
- Adjust tab content styling to have border
- Add clearfix helper class

# 1.0.5
- Add more unit tests for JS
- Adjust tabs styling so tabs don't fill all space
- Set a fixed width on progress indicator so it overflows instead of squishing
- Bugfixes

# 1.0.4
- Bugfixes
- Adjust weight on text buttons

# 1.0.3
- _Skipped_

# 1.0.2
- Grunt updates related to copying font files
- Build library before a commit
- Don't lint docs files
- Remove SASSdoc content for now
- Add more README.md content

# 1.0.1
- Add JS tests
- Transition JS components to use class names instead of attributes
- Selected icons in tabs/toggles now invert
- Adjusted icon sizing to be more consistent

# 1.0.0
Initial release. Components included:
- Expand & Collapse
- Footer
- Responsive Grid
- Header
- Menu
- Panels
- Table
- Tabs
- Checkboxes
- Radio Buttons
- Select Input
- Sliders
- Text Input
- Toggles & Switches
- Messages
- Popovers
- Tooltips
- Progress Indicators
- Buttons
- Links
