/**
 * # Pad Number
 * Pad a number with leading zeros
 *
 * @example
 * pad(4, 2);
 *
 * @module helper/pad-number.js
 */

/**
 * @ignore
 */
(function(root, factory) {

  'use strict';

  if (typeof define === 'function' && define.amd) {
    define([], factory);
  } else if (typeof module === 'object' && module.exports) {
    module.exports = factory();
  } else {
    root.Spark = root.Spark || {};
    root.Spark.padNumber = factory();
  }
}(this, function() {

  'use strict';

  function pad(n, width, c) {
    c = c || '0';
    n = n + '';
    return n.length >= width ? n : new Array(width - n.length + 1).join(c) + n;
  }

  return pad;
}));
