'use strict';
/*
// Allow tests to define global vars and have them exposed to
// components on the window global.
global.window = global;*/

// PhantomJS doesn't support bind yet
Function.prototype.bind = Function.prototype.bind || function(thisp) {
  var fn = this;
  return function() {
    return fn.apply(thisp, arguments);
  };
};

if (typeof Object.create !== 'function') {
  Object.create = (function() {
    var Temp = function() {};
    return function(prototype) {
      if (arguments.length > 1) {
        throw new Error('Second argument not supported');
      }
      if (prototype !== Object(prototype) && prototype !== null) {
        throw new TypeError('Argument must be an object or null');
      }
      if (prototype === null) {
        throw new Error('null [[Prototype]] not supported');
      }
      Temp.prototype = prototype;
      var result = new Temp();
      Temp.prototype = null;
      return result;
    };
  })();
}

require('./components/base');
require('./components/expand');
require('./components/header');
require('./components/menu');
require('./components/modal');
require('./components/number-selector');
require('./components/number-picker');
require('./components/popover');
require('./components/progress-indicator');
require('./components/range-slider');
require('./components/select-input');
require('./components/slider');
require('./components/table');
require('./components/tabs');
require('./components/text-input');
require('./components/date-input');
require('./components/calendar-popover.js');
require('./components/toolbar.js');
require('./components/toggle-switch.js');
require('./components/scroll-to-top.js');
require('./components/step-indicator.js');
require('./components/carousel.js');

require('./helpers/animate-height.js');
require('./helpers/build-select.js');
require('./helpers/outer-height.js');
require('./helpers/each.js');
require('./helpers/transform.js');
require('./helpers/pad-number.js');
require('./helpers/parse-date-format.js');
require('./helpers/date-typeahead.js');
require('./helpers/date-select.js');
require('./helpers/date.js');
require('./helpers/set-caret.js');
require('./helpers/store-form-data.js');
